10de:0652 [Samsung NP-R710-AT01NL] Nouveau freezes after suspend/resume in Ubuntu 13.04 / 3.8.0

Bug #1173074 reported by Bert Massop on 2013-04-26
92
This bug affects 19 people
Affects Status Importance Assigned to Milestone
Arch Linux
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

Before updating to Raring yesterday, I first fully disabled the Xorg-edgers PPA (by ppa-purge) and was therefore switched back to the Nouveau driver. Then updated my system from Quantal to Raring. Afterwards, I noticed that after a suspend/resume the greeter would not appear or hang completely. I was intermittently able to move the cursor, but the GUI would not respond to hovering or clicking.

I did not experience this bug in Quantal with kernel 3.5, but I rather quickly switched to the proprietary driver for performance reasons.

I am on a laptop with NVidia GeForce 130M video card on Raring with kernel 3.8.0, no experimental drivers in use. Attached is also a dmesg log from a previous time this occurred, with me trying to recover from the situation by various means - there are a lot of nouveau-related error messages in it. Ctrl-alt-backspace does nothing, SysRq+K does what it is supposed to do but to no avail, restarting lightdm obviously does not help.

To reproduce:
1. Boot
2. Suspend
3. Resume

Observed behaviour:
The greeter does not appear or hangs completely, switching to another VT is initially impossible, after a certain period of time nouveau starts spitting out error messages to the screen and it is then again possible to switch to another VT. Sometimes X randomly restarts and shows the boot-time greeter, where I can log in, but after that the system freezes again.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: xorg 1:7.7+1ubuntu4
ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
Uname: Linux 3.8.0-19-generic x86_64
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
Date: Fri Apr 26 09:49:56 2013
DistUpgraded: 2013-04-25 18:48:41,818 DEBUG enabling apt cron job
DistroCodename: raring
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 4.2.10, 3.5.0-28-generic, x86_64: installed
 virtualbox, 4.2.10, 3.8.0-19-generic, x86_64: installed
ExtraDebuggingInterest: Yes
GpuHangFrequency: Several times a week
GpuHangReproducibility: Occurs more often under certain circumstances
GpuHangStarted: I don't know
GraphicsCard:
 NVIDIA Corporation G96M [GeForce GT 130M] [10de:0652] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Samsung Electronics Co Ltd Device [144d:c520]
InstallationDate: Installed on 2012-12-20 (126 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MachineType: SAMSUNG ELECTRONICS CO., LTD. R710
MarkForUpload: True
PlymouthDebug: Error: [Errno 13] Permission denied: '/var/log/plymouth-debug.log'
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=nl_NL.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.8.0-19-generic root=/dev/mapper/ubuntu-root ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
UpgradeStatus: Upgraded to raring on 2013-04-25 (0 days ago)
dmi.bios.date: 12/17/2009
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 11SV.MP00.20091217.WZW
dmi.board.name: R710
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr11SV.MP00.20091217.WZW:bd12/17/2009:svnSAMSUNGELECTRONICSCO.,LTD.:pnR710:pvrNotApplicable:rvnSAMSUNGELECTRONICSCO.,LTD.:rnR710:rvrNotApplicable:cvnSAMSUNGELECTRONICSCO.,LTD.:ct10:cvrN/A:
dmi.product.name: R710
dmi.product.version: Not Applicable
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
version.compiz: compiz 1:0.9.9~daily13.04.18.1~13.04-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.43-0ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.1.1-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.1.1-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.13.3-0ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu2b2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.1.0-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.6-0ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.7-0ubuntu1
xserver.bootTime: Fri Apr 26 09:46:29 2013
xserver.configfile: default
xserver.errors:
 Failed to load module "nvidia" (module does not exist, 0)
 Failed to load module "nvidia" (module does not exist, 0)
xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.13.3-0ubuntu6
xserver.video_driver: nouveau
---
ApportVersion: 2.12-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2857 F.... pulseaudio
CasperVersion: 1.336
DistroRelease: Ubuntu 13.10
LiveMediaBuild: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130808)
MachineType: SAMSUNG ELECTRONICS CO., LTD. R710
MarkForUpload: True
Package: linux (not installed)
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/casper/vmlinuz.efi file=/cdrom/preseed/username.seed boot=casper quiet splash --
ProcVersionSignature: Ubuntu 3.10.0-6.17-generic 3.10.3
RelatedPackageVersions:
 linux-restricted-modules-3.10.0-6-generic N/A
 linux-backports-modules-3.10.0-6-generic N/A
 linux-firmware 1.113
Tags: saucy
Uname: Linux 3.10.0-6-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 12/17/2009
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 11SV.MP00.20091217.WZW
dmi.board.name: R710
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr11SV.MP00.20091217.WZW:bd12/17/2009:svnSAMSUNGELECTRONICSCO.,LTD.:pnR710:pvrNotApplicable:rvnSAMSUNGELECTRONICSCO.,LTD.:rnR710:rvrNotApplicable:cvnSAMSUNGELECTRONICSCO.,LTD.:ct10:cvrN/A:
dmi.product.name: R710
dmi.product.version: Not Applicable
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

Bert Massop (bert-massop) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
thndsr (stijnverwaaijen) wrote :

The same thing is happening on my machine after a fresh install yesterday. Videocard is GeForce 210.

Bert Massop (bert-massop) wrote :

Just accidentally suspended my machine after several hours of uptime - so here's another dmesg transcript.

It contains some more error messages that I did not see the previous time. After resume, this time my screen remained black. After about 15 seconds a lot of error messages filled my screen, and then lightdm seemingly restarted showing me the boot-time greeter. I was then able to switch back and forth to another VT. After trying to log in through the greeter, the screen went black again. Pressing SysRq+K after a while made the empty Unity desktop appear, yet completely frozen with my keyboard lights indicating a kernel panic.

Bert Massop (bert-massop) wrote :

And another freeze + corruption, this time just at random during use (just firefox and gnome-terminal, nothing too special). Once again, lightdm respawned automatically (with a functional greeter) but the screen corruption remained, totally freezing after login.

Find attached the relevant excempt from kern.log. Events: at 14603 the power cord is unplugged (switch to battery power), at 16009 the desktop freezes (while trying to unhide the Unity main sidebar, which I have hidden by default), I press ctrl-alt-backspace to try to restart X (nothing happens), the screen gets corrupted while the greeter appears, I try to ctrl-alt-backspace another time, then try to login, then the screen freezes completely. Finally, I do a SysRq+REISUB to recover.

Bert Massop (bert-massop) wrote :

While we're at it, a (bad, sorry) photograph of the screen corruption.

kkk (kknull0) on 2013-04-26
no longer affects: xorg (Arch Linux)
Jan Ypma (jypma) wrote :

I'm having the same problem on a Macbook Pro 3,1. Booting through BIOS emulation, not EFI.
My card is a GeForce 8600M GT: 01:00.0 VGA compatible controller: NVIDIA Corporation G84M [GeForce 8600M GT] (rev a1)

After suspend, sometimes laptop will freeze (showing desktop with non-moving mouse cursor), other times it will come back with functioning mouse, but black display, which will eventually crash X. Restarting X doesn't restore functionality.

It might be OpenGL-related, as restarting X into just lightdm works fine; not until unity and compiz come along do things go weird.

summary: - Nouveau freezes after suspend/resume in Ubuntu 13.04 / 3.8.0
+ 10de:0652 Nouveau freezes after suspend/resume in Ubuntu 13.04 / 3.8.0

Bert Massop, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: needs-full-computer-model needs-upstream-testing regression-release
affects: xorg (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Medium

apport information

tags: added: apport-collected saucy
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

In Saucy daily (Linux 3.10.0-6-generic x86_64, downloaded August 8 2013) running from live USB the problem still occurs consistently. The symptoms remain unchanged.

Find attached the dmesg output after suspend/resume failure (from apport-cli, I could not use apport-collect after failure due to not getting the WiFi back up from command line). The previous few messages originate from apport-collect, which I ran just before trying to suspend/resume (in a perfectly workable system state).

Once I find the time to do an actual installation (on external harddisk) I will report back on the results with the current kernel.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.11-rc4
removed: needs-upstream-testing
Bert Massop (bert-massop) wrote :

Tested on Saucy daily (equipped with Linux saucy-test 3.11.0-031100rc4-generic #201308041735 SMP Sun Aug 4 21:36:46 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux).

Symptoms feel just slightly different, but that may just have been coincidence. After resume I am still experiencing behaviour such as black screen with just (moving) mouse pointer, slow VT switch, nouveau crash (similar console output as before) and graphics freeze on lightdm restart. This bug is definitely not fixed in v3.11-rc4.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Bert Massop, could you please provide the full computer model as noted on the sticker?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Bert Massop (bert-massop) wrote :

Cristopher, the offending machine is a Samsung R710-AT01NL. Its vendor product code is NP-R710-AT01NL, with EAN code 8808993311064.

Please let me know if you need more information or if there is anything for me to try.

tags: added: bios-outdated-11sv
removed: needs-full-computer-model
summary: - 10de:0652 Nouveau freezes after suspend/resume in Ubuntu 13.04 / 3.8.0
+ 10de:0652 [Samsung NP-R710-AT01NL] Nouveau freezes after suspend/resume
+ in Ubuntu 13.04 / 3.8.0
Bert Massop (bert-massop) wrote :

My system already has the most recent BIOS (11SV). That is the exact same version as the update in your link.

For your information, the output of 'sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date':

11SV.MP00.20091217.WZW
12/17/2009

tags: removed: bios-outdated-11sv

Bert Massop, just to clarify, when you were using Quantal, did suspend work with both nvidia and nouveau drivers?

tags: added: latest-bios-11sv
Bert Massop (bert-massop) wrote :

I cannot recall having observed any nouveau suspend failures, but that might have had to do with switching to NVidia proprietary before having suspended. At least for NVidia suspend worked just fine.

I will soon test Quantal to sort this out.

Bert Massop (bert-massop) wrote :

Meanwhile, writing this using Quantal (LiveUSB) after having been through a few suspend/resume loops including some light web browsing in between, I feel comforable concluding that the suspend/resume problems did not occur with Quantal on nouveau.

To wrap it up: I experience(d) no problems under Quantal with regard to suspend/resume, using either the nouveau or the NVidia proprietary driver.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Bert Massop, the next step is to bisect with nouveau enabled between Quantal and Raring, in order to identify the commit that caused this regression. Could you please do this via https://wiki.ubuntu.com/Kernel/KernelBisection ?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-bisect
tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
Wolf Rogner (war-rsb) wrote :

The symptoms can be observed on a MBP Retina 15" and 13.10 as well.

On 13.04 the machine goes havoc so I used Nvidias drivers.

Wolf Rogner, this report is about Bert Massop's Samsung NP-R710-AT01NL with 10de:0652, not a MacBook Pro or any other hardware. If you have a suspend bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

Bert Massop (bert-massop) wrote :

Results so far, using the Raring "linux" package builds.

This bug is first introduced in the transition from 3.7.0-7.15 (good; the last 3.7-based kernel; based on mainline 3.7.0) to 3.8.0-0.2 (bad; the first 3.8-based kernel; based on mainline 3.8.0-rc3).

Quite sadly, there are 12407 commits inbetween those two tags. I will try to commit-bisect those (should take about 15 steps), but with all the building involved this may take a while to complete. Thank you for your patience.

Israel Dahl (israeldahl) wrote :

Still present in Trusty :(

Israel Dahl, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers